#!/bin/sh -e

# called by uscan with '--upstream-version' <version> <file>
DIR=libjibx1.2-java-$2
TAR=../libjibx1.2-java_$2.orig.tar.gz

# clean up the upstream tarball
unzip $3
mv jibx $DIR
GZIP=--best tar czf $TAR -X debian/orig-tar.exclude $DIR
rm -rf $DIR $3

# move to directory 'tarballs'
if [ -r .svn/deb-layout ]; then
    . .svn/deb-layout
    if [ ".." != "$origDir" ]; then 
	mv $TAR $origDir
	echo "moved $TAR to $origDir"
    fi
fi

